liborigin2 29/08/2011

Public Member Functions | Protected Member Functions | List of all members
Origin810Parser Class Reference

`#include <Origin810Parser.h>`

Inheritance diagram for Origin810Parser:

## Public Member Functions
| Origin810Parser (const string &fileName)
Public Member Functions inherited from Origin800Parser
| Origin800Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from Origin750Parser
| Origin750Parser (const string &fileName)
Public Member Functions inherited from OriginParser
int | findExcelByName (const string &name) const
int | findFunctionByName (const string &name) const
int | findMatrixByName (const string &name) const
int | findSpreadByName (const string &name) const
void | setFileVersion (unsigned int version)
virtual | ~OriginParser ()

## Protected Member Functions
void | readColorMap (ColorMap &colorMap)
void | readProjectTreeFolder (tree< ProjectNode >::iterator parent)
Protected Member Functions inherited from Origin800Parser
unsigned int | findStringPos (const string &name)
void | readMatrixInfo ()
virtual void | readNotes ()
void | readResultsLog ()
void | readSpreadInfo ()
Protected Member Functions inherited from Origin750Parser
time_t | doubleToPosixTime (double jdt)
void | readColumnValues (unsigned int spread, unsigned int col, short data_type, char valuesize, unsigned int nr, bool validColumn=true)
void | readExcelInfo ()
void | readFunction (unsigned int colpos, char valuesize, unsigned int *oldpos)
void | readGraphAxisBreakInfo (GraphAxisBreak &axis_break)
void | readGraphAxisFormatInfo (GraphAxisFormat &format)
unsigned int | readGraphAxisInfo (GraphAxis &axis)
void | readGraphAxisPrefixSuffixInfo (const string &sec_name, unsigned int size, GraphLayer &layer)
void | readGraphAxisTickLabelsInfo (GraphAxisTick &tick)
void | readGraphGridInfo (GraphGrid &grid)
virtual bool | readGraphInfo ()
void | readMatrixInfo ()
void | readMatrixValues (short data_type, char data_type_u, char valuesize, unsigned int size, int mIndex=-1)
void | readParameters ()
void | readProjectTree ()
void | readSpreadInfo ()
void | readWindowProperties (Window &window, unsigned int size)
void | skipLine ()
void | skipObjectInfo ()
double | stringToDouble (const string &s)
Protected Member Functions inherited from OriginParser
void | convertSpreadToExcel (vector< Origin::SpreadSheet >::size_type spread)
int | findColumnByIndexAndName (int spread, unsigned int index, const string &name)
int | findColumnByName (int spread, const string &name)
pair< string, string > | findDataByIndex (unsigned int index) const
int | findExcelColumnByName (int excel, int sheet, const string &name) const
pair< Origin::ProjectNode::NodeType, string > | findObjectByIndex (unsigned int index) const

## Additional Inherited Members
Public Attributes inherited from OriginParser
vector< Origin::Excel > | excels
unsigned int | fileVersion
vector< Origin::Function > | functions
vector< Origin::Graph > | graphs
vector< Origin::Matrix > | matrices
vector< Origin::Note > | notes
tree< Origin::ProjectNode > | projectTree
string | resultsLog
vector< Origin::SpreadSheet > | speadSheets
unsigned int | windowsCount
Protected Attributes inherited from Origin800Parser
string | notes_pos_mark
Protected Attributes inherited from Origin750Parser
unsigned int | d_colormap_offset
iendianfstream | file
FILE * | logfile
unsigned int | objectIndex

## Constructor & Destructor Documentation

## ◆ Origin810Parser()

Origin810Parser::Origin810Parser | ( | const string & | fileName | ) |

References Origin750Parser::d_colormap_offset, and Origin800Parser::notes_pos_mark.

## Member Function Documentation

## ◆ readColorMap()

void Origin810Parser::readColorMap | ( | ColorMap & | colorMap | ) |
| protected virtual

Reimplemented from Origin750Parser.

References Origin750Parser::file, Origin::ColorMapLevel::fillColor, Origin::ColorMapLevel::fillPattern, Origin::ColorMapLevel::fillPatternColor, Origin::ColorMapLevel::fillPatternLineWidth, Origin::ColorMapLevel::labelVisible, Origin::ColorMap::levels, Origin::ColorMapLevel::lineColor, Origin::ColorMapLevel::lineStyle, Origin::ColorMapLevel::lineVisible, and Origin::ColorMapLevel::lineWidth.

Referenced by Origin850Parser::readGraphInfo().

## ◆ readProjectTreeFolder()

void Origin810Parser::readProjectTreeFolder | ( | tree< ProjectNode >::iterator | parent | ) |
| protected virtual

Reimplemented from Origin750Parser.

References tree< T, tree_node_allocator >::append_child(), Origin750Parser::doubleToPosixTime(), Origin750Parser::file, OriginParser::findObjectByIndex(), OriginParser::notes, OriginParser::projectTree, Origin750Parser::skipLine(), and OriginParser::windowsCount.

The documentation for this class was generated from the following files:

- /build/liborigin2/src/liborigin2/Origin810Parser.h
- /build/liborigin2/src/liborigin2/Origin810Parser.cpp